:root{
    --base-color: #d4a2a6;
    --primary-color: #453031;
    --secondary-color: #dbbcbf;
}

@font-face {
    font-family: 'recoleta';
    src: url("fonts/Recoleta-RegularDEMO.otf");
}

@font-face {
    font-family: 'cooper';
    src: url(fonts/Cooper\ Md\ BT\ Medium.ttf);
}

@font-face {
    font-family: 'recoleta';
    font-style: bold;
    src: url(fonts/recoleta-bold.otf);
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    position: absolute;
    /* took from a parallex video! C: */
    perspective: 1000px;
    transform-style: preserve-3d;
    overflow-y: auto;
    background-image: url("assets/photo-background3.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    height: auto;
}

nav {
    position: sticky;
    z-index: 1000;
    top: 0;
    height: auto;
    background-color: var(--base-color);
    border-bottom-left-radius: 1.5em;
    border-bottom-right-radius: 1.5em;
    opacity: 88%;
    margin-top: -30px;
    margin-bottom: -105px;
}

nav ul {
    display: flex;
    align-items: center;
    margin: 1.5em;
}

nav li{
    font-family:'cooper','Times New Roman', Times, serif;
    font-style: bold;
    color: var(--primary-color);
    font-size: 3rem;
    list-style-type: none;
    margin-left: 1em;
    margin-bottom: .15em;
    margin-top: .15em;
    text-shadow: 1px 1px 1px black;
}

nav li:hover {
    scale: 105%;
    transition: 100ms ease;
}

nav li:not(:hover) {
    scale: 100%;
    transition: 100ms ease;
}

nav li:first-child {
    margin-left:0em;
    margin-right: auto;
}

nav li:last-child {
    margin-right: 1em;
}

nav img {
    width: 50px;
    height: auto;
    margin-top: 10px;
    margin-right: 10px;
}

.intro img{
    object-fit: cover;
    width: 100vw;
    height: auto;
    position: relative;
}

.top-centered-text h1{
    font-size: 9rem;
    font-family: 'recoleta', 'recoleta','Times New Roman', Times, serif;
    font-style: bold;
    text-align: center;
    position: absolute;
    top: 20%;
    left: 16%;
    -webkit-text-stroke: 11px var(--primary-color);
    paint-order: stroke fill;
    color: var(--base-color);
    text-shadow: 2px 2px 4px black;
}

.top-centered-text h2{
    font-size: 4rem;
    font-family: 'cooper', 'recoleta','Times New Roman', Times, serif;
    font-style: bold;
    text-align: center;
    position: absolute;
    top: 40%;
    left: 24%;
    color: whitesmoke;
    text-shadow: 2px 2px 4px black;
    font-style: italic;

}

.about-me img {
    object-fit: cover;
    width: 100vw;
    height: auto;
    position: absolute;
    display: block;
    top: 5%;
    filter: drop-shadow(4px 3px 18px black)
}

h2 {
    font-family: 'recoleta','Times New Roman', Times, serif;
}

html {
    height: 100vh;

}



.intro {
    transform: translateZ(-1000px);

}

.about-me-box {
    display: flex;
}

.about-me-box img {
    max-width: 30vw;
    top: 7%;
    left: 10%;
    filter: drop-shadow(0px 0px 0px black)
}

.about-me-text{
    display: flex;
    flex-direction: column;
    position: absolute;
    width: 55vw;
    top: 7%;
    left: 43%;
    color: whitesmoke;
}

.about-me-text h2{
    font-family: 'cooper','Times New Roman', Times, serif;
    font-style: none;
    color: whitesmoke;
    text-shadow: 1px 1px 0.5px var(--primary-color);
    margin: 0;
    padding: 0;
}

.about-me-title {
    font-size: 5rem;
    text-decoration: underline;
    text-decoration-thickness: 6px;
    margin-bottom: 30px;
    font-style: italic;
}

.about-me-body {
    font-size: 2rem;
}

.socials {
    color: var(--primary-color);
    transform: translateZ(1000px);
    text-align: center;
    font-style: italic;
    font-size: 2.5rem;
    width: 100vw;
    position: absolute;
    top:10.5%;

}

.about-me-box img:hover{
    scale: 1.025;
    transition: 100ms ease;
}

.about-me-box img:not(:hover) {
    scale: 1;
    transition: 100ms ease;
}

#photo-dump-background {
    width: 100vw;
    height: 1200px;
    margin-bottom: 50px;
    border-bottom-left-radius: 450px;
    border-bottom-right-radius: 450px;

}

.actual-dump h2{
    top: 4.5%;
    font-size: 10rem;
    font-family: 'cooper','recoleta','Times New Roman', Times, serif;
    font-style: bold;
    text-align: center;
    position: absolute;
    color: whitesmoke;
    text-shadow: 2px 2px 1px var(--primary-color);
    font-style: italic;
}

.actual-dump {
    left: 20%;
    position: relative;
    display: grid;
    grid-template-rows: 1;
    grid-template-columns: auto;
    width: 40vw;
    height: auto;
    gap: 28em;
}

.section {
    min-height: 0;
}

.section img {
    position: absolute;
    display: block;
    width: 30vw;
    height: auto;
    filter: drop-shadow(4px 3px 1px var(--primary-color))
}

.section img:hover{
    scale: 1.005;
    transition: 100ms ease;
}

.section img:not(:hover){
    scale: 1;
    transition: 100ms ease;
}

.img-1x1 img{
    transform: translate(200%, 300%);
    width: 20vw;
    height: auto;
}

.img-2x1 img{
    width:35vw;
    height: auto;
    transform: translate(10%, 350%);
}

.phone img{
    transform: translate(108%, 240%);
}

.text-box p{
    font-size: 2rem;
    font-family: 'cooper','Times New Roman', Times, serif;
    color:aliceblue;
    text-shadow: 2px 1px 1px var(--primary-color);
}

.text-box{
    width: 35vw;
    height: auto;
    transform: translate(11%, 820%);
}

footer p{
    font-style: italic;
    text-shadow: 2px 1px 1px var(--primary-color);
    color: whitesmoke;
    font-family: 'cooper','Times New Roman', Times, serif;
    position: absolute;
    bottom: -12%;
    font-size: 5em;
    left: 35%;
}

@media screen and (min-width: 1900px) {
    nav li {
        font-size: 4em;
    }

    .top-centered-text h1{
        font-size: 13em;
        top: 8%;
    }

    .top-centered-text h2 {
        font-size:6em;
        top:28%;
    }
    .about-me-title {
        font-size:6em;
    }

    .about-me-body {
        font-size: 3em;
    }

    .socials {
        font-size: 4em;
        top:11%;
    }

    .actual-dump h2 {
        font-size: 15em;
    }

    .actual-dump p {
        font-size: 3em;
    }

    .actual-dump {
        gap: 30rem;
    }

    .text-box {
        width: 35vw;
        transform: translate(11%, 760%);
    }

    footer p {
        bottom: -12%;
        font-size: 4em;
        left: 42%;
    }
    
}